Package: groovy.util

## [Java] Class ClosureComparator<T>

- groovy.util.ClosureComparator

- All Implemented Interfaces and Traits:
    Comparator, Serializable

      public class ClosureComparator<T>
      extends Object
      implements Comparator, Serializable

  A Comparator which uses a closure to compare 2 values being equal

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureComparator(Closure closure)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `compare(T object1, T object2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureComparator(Closure closure)

  - ### Method Detail

    - #### @Override
      public int compare(T object1, T object2)